Index: SPECS/rpm.spec
===================================================================
--- SPECS.orig/rpm.spec
+++ SPECS/rpm.spec
@@ -14,7 +14,7 @@ Summary: The RPM package management syst
 Name: rpm
 Version: 4.4.2.1
 %{expand: %%define rpm_version %{version}}
-Release: 8%{?dist}
+Release: 8%{?dist}.fa1
 Group: System Environment/Base
 Url: http://www.rpm.org/
 Source: rpm-%{rpm_version}.tar.gz
@@ -39,6 +39,7 @@ Patch18: rpm-4.4.2.1-estale.patch
 Patch19: rpm-4.4.2.1-debuginfo-names.patch
 Patch20: rpm-4.4.2.1-perl-reqprov.patch
 Patch21: rpm-4.4.2.1-findlang-omf.patch
+Patch22: rpm-4.4.2-always-mlock.patch
 # XXX Beware, this is one murky license, partially GPL/LGPL dual-licensed
 # and several different components with their own licenses included...
 License: (GPLv2 and LGPLv2 with exceptions) and BSD and MIT and Sleepycat
@@ -174,6 +175,7 @@ shell-like rules.
 %patch19 -p1 -b .debugedit-names
 %patch20 -p1 -b .perl-reqprov
 %patch21 -p1 -b .findlang-omf
+%patch22 -p1 -b .mlock
 
 cp -f %{SOURCE2} scripts/find-debuginfo.sh
 
@@ -363,8 +365,8 @@ exit 0
 %ifarch s390 s390x
 %attr(-, rpm, rpm)              %{__prefix}/lib/rpm/s390*
 %endif
-%ifarch armv3l armv4l
-%attr(-, rpm, rpm)              %{__prefix}/lib/rpm/armv[34][lb]*
+%ifarch %{arm}
+%attr(-, rpm, rpm)              %{__prefix}/lib/rpm/arm*
 %endif
 %ifarch mips mipsel
 %attr(-, rpm, rpm)              %{__prefix}/lib/rpm/mips*
